# Class VulkanSemaphoreBinaryCreateInfo

java.lang.Object
com.io7m.jcoronado.api.VulkanSemaphoreBinaryCreateInfo

All Implemented Interfaces:
  `VulkanSemaphoreBinaryCreateInfoType, VulkanSemaphoreCreateInfoType`

public final class VulkanSemaphoreBinaryCreateInfo extends Object implements VulkanSemaphoreBinaryCreateInfoType
The type of Vulkan semaphore creation information.

See Also:
  - "VkSemaphoreCreateInfo"

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `VulkanSemaphoreBinaryCreateInfo.Builder`
  Builds instances of type `VulkanSemaphoreBinaryCreateInfo`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VulkanSemaphoreBinaryCreateInfo.Builder`
  `builder()`
  Creates a builder for `VulkanSemaphoreBinaryCreateInfo`.
  `static VulkanSemaphoreBinaryCreateInfo`
  `copyOf(VulkanSemaphoreBinaryCreateInfoType instance)`
  Creates an immutable copy of a `VulkanSemaphoreBinaryCreateInfoType` value.
  `boolean`
  `equals(Object another)`
  This instance is equal to all instances of `VulkanSemaphoreBinaryCreateInfo` that have equal attribute values.
  `int`
  `hashCode()`
  Returns a constant hash code value.
  `String`
  `toString()`
  Prints the immutable value `VulkanSemaphoreBinaryCreateInfo`.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### equals

    public boolean equals(Object another)
    This instance is equal to all instances of `VulkanSemaphoreBinaryCreateInfo` that have equal attribute values.
    Overrides:
      `equals` in class `Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Returns a constant hash code value.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      hashCode value

  - ### toString

    public String toString()
    Prints the immutable value `VulkanSemaphoreBinaryCreateInfo`.
    Overrides:
      `toString` in class `Object`
    Returns:
      A string representation of the value

  - ### copyOf

    public static VulkanSemaphoreBinaryCreateInfo copyOf(VulkanSemaphoreBinaryCreateInfoType instance)
    Creates an immutable copy of a `VulkanSemaphoreBinaryCreateInfoType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable VulkanSemaphoreBinaryCreateInfo instance

  - ### builder

    public static VulkanSemaphoreBinaryCreateInfo.Builder builder()
    Creates a builder for `VulkanSemaphoreBinaryCreateInfo`.

        VulkanSemaphoreBinaryCreateInfo.builder()
           .build();

    Returns:
      A new VulkanSemaphoreBinaryCreateInfo builder